| Version: 3.1.5

Public Member Functions | List of all members
wxStdOutputStream Class Reference
Class List by Category » Streams

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/stdstream.h>`

Inheritance diagram for wxStdOutputStream:
[legend]

## Detailed Description

wxStdOutputStream is a std::ostream derived stream which writes to a wxOutputStream.

Example:

wxFFileOutputStream file("out.txt.gz");
wxZlibOutputStream gzipOutput(file, -1, wxZLIB_GZIP);
wxStdOutputStream out(gzipOutput);
out << "Hello world!" << std::endl;
wxFFileOutputStream
This class represents data written to a file.
Definition: wfstream.h:118
wxStdOutputStream
wxStdOutputStream is a std::ostream derived stream which writes to a wxOutputStream.
Definition: stdstream.h:174
wxZlibOutputStream
This stream compresses all data written to it.
Definition: zstream.h:44
endl
wxTextOutputStream & endl(wxTextOutputStream &stream)
Writes '\n' to stream.
wxZLIB_GZIP
@ wxZLIB_GZIP
gzip header and checksum, requires zlib 1.2.1+
Definition: zstream.h:21

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxOutputStream, wxStdOutputStreamBuffer

## Public Member Functions
| wxStdOutputStream (wxOutputStream &stream)
| Creates a std::ostream derived stream which writes to a wxOutputStream. More...
virtual | ~wxStdOutputStream ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxStdOutputStream()

wxStdOutputStream::wxStdOutputStream | ( | wxOutputStream & | stream | ) |

Creates a std::ostream derived stream which writes to a wxOutputStream.

Parameters

  stream | Stream to write to.

## ◆ ~wxStdOutputStream()

virtual wxStdOutputStream::~wxStdOutputStream | ( |  | ) |
| virtual

Destructor.